import { html } from 'lit';
import { ifDefined } from 'lit-html/directives/if-defined.js';
import './Pagination.svelte';
const meta = {
    title: 'Navigation/Pagination',
    component: 'm-pagination',
    args: {
        id: 'paginationId',
        value: 10,
        total: 99,
        selectLabel: 'Select page',
    },
    render: (args) => html `
    <m-pagination
      id=${ifDefined(args.id)}
      value=${ifDefined(args.value)}
      ?compact=${args.compact}
      total=${ifDefined(args.total)}
      selectLabel=${ifDefined(args.selectLabel)}
      prefixlabel=${ifDefined(args.prefixlabel)}
      pagelabel=${ifDefined(args.pagelabel)}
    ></m-pagination>
  `,
};
export default meta;
export const Default = {};
export const First = {
    args: {
        id: 'firstId',
        value: 1,
    },
};
export const Last = {
    args: {
        id: 'lastId',
        value: 99,
    },
};
export const Compact = {
    args: {
        id: 'compactId',
        compact: true,
    },
};
